Attean::Result(3pm)

NAME
Attean::Result - SPARQL Result

VERSION
This document describes Attean::Result version 0.012

SYNOPSIS
  use v5.14;
  use Attean;
  my $result = Attean::Result->new(bindings => { name => $literal, homepage => $iri } );
  my @vars = $result->variables; # ('name', 'homepage')
  my $term = $result->value('name'); # $term == $literal

DESCRIPTION
The Attean::Result class represents a SPARQL result (a set of bindings from variable names to terms). It conforms to the Attean::API::Result role.

METHODS

"bindings"
    Returns the HASH reference containing the variable bindings for this result.

"value( $name )"
    Returns the term object bound to the $named variable, or undef if the name does not map to a term.

"variables"
    Returns a list of the variable names that are bound to terms in this result object.

"as_string"
    Returns a string serialization of the variable bindings contained in the result.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO
<http://www.perlrdf.org/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2016 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.